Bug 561091 - SELinux is preventing /usr/bin/xauth "write" access.
Summary: SELinux is preventing /usr/bin/xauth "write" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:29d85566a1a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-02 17:07 UTC by Daniel Scott
Modified: 2010-02-11 14:44 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:44:00 UTC


Attachments (Terms of Use)

Description Daniel Scott 2010-02-02 17:07:25 UTC
Summary:

SELinux is preventing /usr/bin/xauth "write" access.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:system_r:afs_t:s0
Target Objects                None [ udp_socket ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-78.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon Jan 18
                              19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Tue 02 Feb 2010 11:30:00 AM EST
Last Seen                     Tue 02 Feb 2010 11:30:00 AM EST
Local ID                      ccde8780-47a9-49cc-9e73-4bc083201df7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1265128200.763:933): avc:  denied  { write } for  pid=31705 comm="xauth" lport=7001 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:system_r:afs_t:s0 tclass=udp_socket

node=(removed) type=SYSCALL msg=audit(1265128200.763:933): arch=c000003e syscall=2 success=yes exit=2 a0=7fffaddf57f0 a1=c1 a2=180 a3=7fffaddf53e0 items=0 ppid=31700 pid=31705 auid=768 uid=1148 gid=1002 euid=1148 suid=1148 fsuid=1148 egid=1002 sgid=1002 fsgid=1002 tty=pts11 ses=1 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-78.fc12,catchall,xauth,xauth_t,afs_t,udp_socket,write
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t afs_t:udp_socket write;

Comment 1 Daniel Walsh 2010-02-02 21:24:08 UTC
Nalin Is this a leak or does every process that writes to a afs directory have tow write on the afs_t udp_socket?

Comment 2 Daniel Walsh 2010-02-02 21:24:45 UTC
Daniel did the xauth succeed in enforcing?

Comment 3 Daniel Scott 2010-02-02 21:49:12 UTC
I'm not actually trying to run an X application. I have AFS integrated with Kerberos.

I'm running as my normal user with links in my homedir to dirs in AFS. This alert is triggered when I 'su -' to another user, who's homedir is actually in the AFS tree and attempt to list the files in the original user. I can run xterm with no problems and no alert is triggered.

Comment 4 Daniel Walsh 2010-02-02 21:59:12 UTC
Most likely we can dontaudit it.

Comment 5 Daniel Walsh 2010-02-03 14:23:22 UTC
Miroslav, add

optional_policy(`
	afs_rw_udp_sockets(application_domain_type)
')

to application.te for now.  Until we figure out whether this is needed or not.

This will give all domains that are executed by users the ability to read/write from the afs_t socket.

Comment 6 Miroslav Grepl 2010-02-03 16:38:28 UTC
Fixed in selinux-policy-3.6.32-82.fc12

Comment 7 Fedora Update System 2010-02-03 23:21:53 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 8 Fedora Update System 2010-02-05 01:46:33 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 9 Fedora Update System 2010-02-11 14:39:44 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.